SoundTask.BuildAlert (Apache Ant API)

Package org.apache.tools.ant.taskdefs.optional.sound

## Class SoundTask.BuildAlert

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.sound.SoundTask.BuildAlert

- Enclosing class:
    SoundTask

      public class SoundTask.BuildAlert
      extends java.lang.Object

  A class to be extended by any BuildAlert's that require the output of sound.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildAlert()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Long` | `getDuration()` | Gets the duration in milliseconds the file should be played.
    `int` | `getLoops()` | Sets the number of times the source file should be played.
    `java.io.File` | `getSource()` | Gets the location of the file to get the audio.
    `void` | `setDuration​(java.lang.Long duration)` | Sets the duration in milliseconds the file should be played; optional.
    `void` | `setLoops​(int loops)` | Sets the number of times the source file should be played; optional.
    `void` | `setSource​(java.io.File source)` | Sets the location of the file to get the audio; required.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildAlert

          public BuildAlert()

  - ### Method Detail

    - #### setDuration

          public void setDuration​(java.lang.Long duration)

      Sets the duration in milliseconds the file should be played; optional.
      Parameters:
        `duration` - the duration in milliseconds

    - #### setSource

          public void setSource​(java.io.File source)

      Sets the location of the file to get the audio; required.
      Parameters:
        `source` - the name of a sound-file directory or of the audio file

    - #### setLoops

          public void setLoops​(int loops)

      Sets the number of times the source file should be played; optional.
      Parameters:
        `loops` - the number of loops to play the source file

    - #### getSource

          public java.io.File getSource()

      Gets the location of the file to get the audio.
      Returns:
        the file location

    - #### getLoops

          public int getLoops()

      Sets the number of times the source file should be played.
      Returns:
        the number of loops to play the source file

    - #### getDuration

          public java.lang.Long getDuration()

      Gets the duration in milliseconds the file should be played.
      Returns:
        the duration in milliseconds